const svcNS   = require('../../definition.js').svcNS;
const element = require('../../common/element.js');
const token   = require('../../common/token.js');

function epp2json(node) {
    let epp = element.array(node, [1])[0];
    return {
        command: 'delete',
        obj: 'contact',
        id: token("{3,16}").epp2json(element.tag(epp, ['contact:id']))
    }
}

function json2epp(json) {
    return [['contact:id', {}, token("{3,16}").json2epp(json, 'id')]]
}

module.exports = {
    epp2json,
    json2epp: json => ["contact:delete", {"xmlns:contact": svcNS.contact}, json2epp(json)]
}
