const svcNS   = require('../../definition.js').svcNS;
const element = require('../../common/element.js');
const label_  = require('../../common/label.js');

function epp2json(node) {
    let json = {
        command: 'check',
        obj: 'domain',
        name: []
    }
    let check = element.array(node);
    for(let i=0; i<check.length; i++)
        json.name.push(label_.epp2json(element.tag(check[i], ['domain:name'])));
    return json;
}

function json2epp(json) {
    let check = [];
    for(let i=0; i<element.value(json, 'name').length; i++)
        check.push(['domain:name', {}, label_.json2epp(json, 'name', i)]);
    return check;
}

module.exports = {
    epp2json,
    json2epp: json => ["domain:check", {"xmlns:domain": svcNS.domain}, json2epp(json)]
}
