const svcNS   = require('../../definition.js').svcNS;
const element = require('../../common/element.js');
const label_  = require('../../common/label.js');

function epp2json(node) {
    let info = element.array(node, [1])[0];
    return {
        command: 'info',
        obj: 'host',
        name: label_.epp2json(element.tag(info, ['host:name']))
    }
}

function json2epp(json) {
    return [['host:name', {}, label_.json2epp(json, 'name')]]
}

module.exports = {
    epp2json,
    json2epp: json => ["host:info", {"xmlns:host": svcNS.host}, json2epp(json)]
}
