const element = require('../element.js');
const label_  = require('../label.js');

function epp2json(node) {
    let hostObj = [],
        ns = element.array(node);
    for(let i=0; i<ns.length; i++)
        hostObj.push(label_.epp2json(element.tag(ns[i], ['domain:hostObj'])));
    return hostObj;
}

function json2epp(json) {
    let epp = [];
    for(let i=0; i<json.ns.length; i++)
        epp.push(['domain:hostObj', {}, label_.json2epp(json, 'ns', i)]);
    return epp;
}

module.exports = {
    epp2json,
    json2epp: json => ["domain:ns", {}, json2epp(json)]
}
