const EppError = require('../EppError.js');
const element  = require('../element.js');
const unsigned = require('../unsigned.js');
const UNITTYPE = ['y', 'm']

function epp2json(node) {
    return [unsigned.epp2json(node), element.attribute(node, 'unit', UNITTYPE)]
}

function json2epp(NS, json) {
    return [NS+':period', {unit: element.value(json, 1, UNITTYPE)}, unsigned.json2epp(json, 0)]
}

module.exports = {
    epp2json,
    json2epp
}
