const element = require('../element.js');
const token   = require('../token.js');
const IPTYPE  = ['v4', 'v6']

module.exports = {
    epp2json: node => node.map(a => [token("{3,45}").epp2json(a), element.attribute(a, 'ip', IPTYPE)]),
    json2epp: json => {
        let epp = [];
        for(let i=0; i<json.addr.length; i++) {
            let [n, s] = element.pair(json, 'addr', i, 1);
            element.keys(json, s, IPTYPE);
            epp.push(['host:addr', {ip: s}, token("{3,45}").json2epp(json, 'addr', i, 0)]);
        }
        return epp;
    }
}
