const element = require('../../common/element.js');
const token   = require('../../common/token.js');
const PHASE   = ["sunrise", "landrush", "claims", "open", "custom"]

function epp2json(phase) {
    let json = [element.string(phase, PHASE)]
    if(phase[1].name!==undefined)
        json.push(token("+").epp2json(phase, 'name'));
    return json;
}

function json2epp(json) {
    let [n, s] = element.pair(json, 'phase', 0);
    element.keys(json, s, PHASE);

    let attrs = {}
    if(json.phase.length > 1)
        attrs.name = token("+").json2epp(json, 'phase', 1);
    return ['launch:phase', attrs, s]
}

module.exports = {
    epp2json,
    json2epp
}
