const element = require('../../common/element.js');
const STATUS  = [
    "pendingValidation",
    "validated",
    "invalid",
    "pendingAllocation",
    "allocated",
    "rejected",
    "custom"
]

module.exports = {
    epp2json: node => element.attribute(node, 's', STATUS),
    json2epp: json => ['launch:status', {s: element.value(json, 'status', STATUS)}]
}
