const element = require('../../common/element.js');
const STATUSTYPE = [
    'clientDeleteProhibited',
    'clientUpdateProhibited',
    'linked',
    'ok',
    'pendingCreate',
    'pendingDelete',
    'pendingTransfer',
    'pendingUpdate',
    'serverDeleteProhibited',
    'serverUpdateProhibited'
]

module.exports = {
    epp2json: node => node.map(a => element.attribute(a, 's', STATUSTYPE)),
    json2epp: json => {
        let epp = [];
        for(let i=0; i<json.status.length; i++) {
            let [n, s] = element.pair(json, 'status', i);
            element.keys(json, s, STATUSTYPE);
            epp.push(['host:status', {s}]);
        }
        return epp;
    }
}
