const svcNS   = require('../../definition.js').svcNS;
const element = require('../../common/element.js');
const token   = require('../../common/token.js');

function epp2json(node) {
    let json = {
        command: 'check',
        obj: 'contact',
        id: []
    }
    let check = element.array(node);
    for(let i=0; i<check.length; i++)
        json.id.push(token("{3,16}").epp2json(element.tag(check[i], ['contact:id'])));
    return json;
}

function json2epp(json) {
    let check = [];
    for(let i=0; i<element.value(json, 'id').length; i++)
        check.push(['contact:id', {}, token("{3,16}").json2epp(json, 'id', i)]);
    return check;
}

module.exports = {
    epp2json,
    json2epp: json => ["contact:check", {"xmlns:contact": svcNS.contact}, json2epp(json)]
}
