const svcNS   = require('../../definition.js').svcNS;
const element = require('../../common/element.js');
const label_  = require('../../common/label.js');

function epp2json(node) {
    let epp = element.array(node, [1])[0];
    return {
        command: 'delete',
        obj: 'domain',
        name: label_.epp2json(element.tag(epp, ['domain:name']))
    }
}

function json2epp(json) {
    return [['domain:name', {}, label_.json2epp(json, 'name')]]
}

module.exports = {
    epp2json,
    json2epp: json => ["domain:delete", {"xmlns:domain": svcNS.domain}, json2epp(json)]
}
