const element = require('../element.js');
const string  = require('../string.js');
const roid    = require('../roid.js');

function epp2json(node) {
    let authInfo = element.tag(element.array(node, [1])[0], ['contact:pw']);
    let json = {
        pw: string("+").epp2json(authInfo)
    }
    if(authInfo[1].roid!==undefined)
        json.roid = roid.epp2json(authInfo, 'roid');
    return json;
}

function json2epp(json) {
    let attrs = {}
    if(json.roid!==undefined)
        attrs.roid = roid.json2epp(json, 'roid');
    return [['contact:pw', attrs, string("+").json2epp(json, 'pw')]]
}

module.exports = {
    epp2json,
    json2epp: json => ["contact:authInfo", {}, json2epp(json)]
}
