const element  = require('../element.js');
const token    = require('../token.js');
const TYPETYPE = ["admin", "billing", "tech"]

function epp2json(contact) {
    let json = {}
    for(let i=0; i<contact.length; i++)
        json[element.attribute(contact[i], 'type', TYPETYPE)] = token("{3,16}").epp2json(contact[i]);
    return json;
}

function json2epp(json) {
    let contact = [];
    for(let type in json) {
        element.keys(json, type, TYPETYPE);
        contact.push(['domain:contact', {type}, token("{3,16}").json2epp(json, type)]);
    }
    return contact;
}

module.exports = {
    epp2json,
    json2epp
}
