const decimal = require('../../common/float.js');
const string  = require('../../common/string.js');

function epp2json(node) {
    let json = [decimal.epp2json('-', node)]
    if(node[1].description!==undefined)
        json.push(string("+").epp2json(node, "description"));
    return json;
}

function json2epp(json) {
    let credit = decimal.json2epp('-', json, 0),
        attrs = {}
    if(json.length > 1)
        attrs.description = string("+").json2epp(json, 1);
    return ['fee:credit', attrs, credit]
}

module.exports = {
    epp2json,
    json2epp
}
