const element = require('../../common/element.js');
const token   = require('../../common/token.js');

function epp2json(code) {
    let json = [token("+").epp2json(code)]
    if(code[1].validatorID!==undefined)
        json.push(token("+").epp2json(code, 'validatorID'));
    return json;
}

function json2epp(json) {
    let attrs = {}
    if(element.value(json, 'code').length > 1)
        attrs.validatorID = token("+").json2epp(json, 'code', 1);
    return ['launch:code', attrs, token("+").json2epp(json, 'code', 0)]
}

module.exports = {
    epp2json,
    json2epp
}
