const element = require('../../common/element.js');
const token   = require('../../common/token.js');
const phase_  = require('./phase.js');

function epp2json(node) {
    let idContainer = element.array(node, [2]);
    return {
        phase: phase_.epp2json(idContainer[0]),
        applicationID: token("+").epp2json(idContainer[1])
    }
}

function json2epp(json) {
    return [
        phase_.json2epp(json),
        ['launch:applicationID', {}, token("+").json2epp(json, 'applicationID')]
    ]
}

module.exports = {
    epp2json,
    json2epp
}
