const element = require('../../common/element.js');
const token   = require('../../common/token.js');

function epp2json(noticeID) {
    let json = [token("+").epp2json(noticeID)]
    if(noticeID[1].validatorID!==undefined)
        json.push(token("+").epp2json(noticeID, 'validatorID'));
    return json;
}

function json2epp(json) {
    let attrs = {}
    if(element.value(json, 'noticeID').length > 1)
        attrs.validatorID = token("+").json2epp(json, 'noticeID', 1);
    return ['launch:noticeID', attrs, token("+").json2epp(json, 'noticeID', 0)]
}

module.exports = {
    epp2json,
    json2epp
}
