const element = require('../../common/element.js');
const STATUS  = [
    "addPeriod",
    "autoRenewPeriod",
    "renewPeriod",
    "transferPeriod",
    "pendingDelete",
    "pendingRestore",
    "redemptionPeriod"
]

module.exports = {
    epp2json: node => element.attribute(element.tag(node, ['rgp:rgpStatus']), 's', STATUS),
    json2epp: (json, s) => {
        element.keys(json, s, STATUS);
        return ['rgp:rgpStatus', {s}]
    }
}
