const svcNS   = require('../../definition.js').svcNS;
const element = require('../../common/element.js');
const status_ = require('./status.js');

function epp2json(node) {
    return element.array(node).map(status_.epp2json);
}

function json2epp(json, key) {
    return json[key].map(s => status_.json2epp(json, s));
}

module.exports = {
    epp2json,
    json2epp: (json, key) => ["rgp:upData", {"xmlns:rgp": svcNS.rgp}, json2epp(json, key)]
}
